MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030810Open CASCADE[OCCT] OCCT:Data Exchangepublic2019-06-25 23:252019-07-08 12:58
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version[OCCT] 7.4.0 
Summary0030810: Data Exchange, RWObj_CafReader - fix material assignment
DescriptionRWObj_CafReader assigns materials from new group to the previous group.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0085306)
git (administrator)
2019-06-25 23:28

Branch CR30810 has been created by kgv.

SHA-1: 604487abdceb0438f86d74d449f187b752b7ce8e


Detailed log of new commits:

Author: kgv
Date: Tue Jun 25 23:26:58 2019 +0300

    0030810: Data Exchange, RWObj_CafReader - fix material assignment
    
    RWObj_MtlReader fixed incorrect folder iteration within findRelativePath().
    Fixed discarding texture-only material.
    RWObj_TriangulationReader::addMesh() - fixed usage of wrong material for flushing previous group.
(0085307)
git (administrator)
2019-06-25 23:42

Branch CR30810 has been updated forcibly by kgv.

SHA-1: 33ad388946e0930aecbc4321ec7f9d682e478811
(0085308)
git (administrator)
2019-06-26 00:02

Branch CR30810 has been updated forcibly by kgv.

SHA-1: d888f7fa4434da2c5c4e5bfb7080fc4994a632e6
(0085310)
kgv (developer)
2019-06-26 08:06

Please raise the patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30810-master-KGV [^]
(0085315)
apn (administrator)
2019-06-26 12:47

Combination -
OCCT branch : CR30810
master SHA - d888f7fa4434da2c5c4e5bfb7080fc4994a632e6
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - c08b242c9da615bfdf83ca463321740d4cc22898
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16474.919999999984 / 16513.620000000094 [-0.23%]
Products
Total CPU difference: 10511.660000000054 / 10515.620000000044 [-0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 17846.828125 / 17822.375 [+0.14%]
Products
Total CPU difference: 12151.8125 / 12126.671875 [+0.21%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0085473)
git (administrator)
2019-07-08 12:58

Branch CR30810 has been deleted by inv.

SHA-1: d888f7fa4434da2c5c4e5bfb7080fc4994a632e6

- Related Changesets
occt: master d9dd0754
Timestamp: 2019-06-25 20:26:58
Author: kgv
Committer: apn
Details ] Diff ]
0030810: Data Exchange, RWObj_CafReader - fix material assignment

RWObj_MtlReader fixed incorrect folder iteration within findRelativePath().
Fixed discarding texture-only material.
RWObj_TriangulationReader::addMesh() - fixed usage of wrong material for flushing previous group.
mod - src/RWObj/RWObj_MtlReader.cxx Diff ] File ]
mod - src/RWObj/RWObj_TriangulationReader.cxx Diff ] File ]
mod - src/RWObj/RWObj_TriangulationReader.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-06-25 23:25 kgv New Issue
2019-06-25 23:25 kgv Assigned To => kgv
2019-06-25 23:28 git Note Added: 0085306
2019-06-25 23:42 git Note Added: 0085307
2019-06-26 00:02 git Note Added: 0085308
2019-06-26 00:03 kgv Relationship added child of 0029296
2019-06-26 08:06 kgv Note Added: 0085310
2019-06-26 08:06 kgv Assigned To kgv => bugmaster
2019-06-26 08:06 kgv Severity minor => trivial
2019-06-26 08:06 kgv Status new => resolved
2019-06-26 08:06 kgv Steps to Reproduce Updated View Revisions
2019-06-26 08:06 kgv Status resolved => reviewed
2019-06-26 12:47 apn Test case number => Not needed
2019-06-26 12:47 apn Note Added: 0085315
2019-06-26 12:47 apn Status reviewed => tested
2019-07-01 17:28 apn Changeset attached => occt master d9dd0754
2019-07-01 17:28 apn Assigned To bugmaster => apn
2019-07-01 17:28 apn Status tested => verified
2019-07-01 17:28 apn Resolution open => fixed
2019-07-08 12:58 git Note Added: 0085473


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker